package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 专业分类对象 mall_major_class
 *
 * @author LCL
 * @date 2023-10-18
 */
public class MallMajorClass extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 专业分类主键ID */
    private Long majorId;

    /** 父类ID */
    @Excel(name = "父类ID")
    private Long parentId;

    /** 等级 */
    @Excel(name = "等级")
    private Integer level;

    /** 专业分类名称 */
    @Excel(name = "专业分类名称")
    private String majorName;

    /** 专业解读 */
    @Excel(name = "专业解读")
    private String majorInterpret;

    /** 就业领域 */
    @Excel(name = "就业领域")
    private String obtainEmployment;

    /** 是否展示：0-展示，1-不展示 */
    @Excel(name = "是否展示：0-展示，1-不展示")
    private String isShow;

    /** 图标 */
    @Excel(name = "图标")
    private String icon;

    /** 状态:：0-启用，1-不启用 */
    @Excel(name = "状态:：0-启用，1-不启用")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    /** 下级列表 */
    private List<MallMajorClass> children;

    public List<MallMajorClass> getChildren() {
        return children;
    }

    public void setChildren(List<MallMajorClass> children) {
        this.children = children;
    }

    public void setMajorId(Long majorId)
    {
        this.majorId = majorId;
    }

    public Long getMajorId()
    {
        return majorId;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setLevel(Integer level)
    {
        this.level = level;
    }

    public Integer getLevel()
    {
        return level;
    }
    public void setMajorName(String majorName)
    {
        this.majorName = majorName;
    }

    public String getMajorName()
    {
        return majorName;
    }
    public void setMajorInterpret(String majorInterpret)
    {
        this.majorInterpret = majorInterpret;
    }

    public String getMajorInterpret()
    {
        return majorInterpret;
    }
    public void setObtainEmployment(String obtainEmployment)
    {
        this.obtainEmployment = obtainEmployment;
    }

    public String getObtainEmployment()
    {
        return obtainEmployment;
    }
    public void setIsShow(String isShow)
    {
        this.isShow = isShow;
    }

    public String getIsShow()
    {
        return isShow;
    }
    public void setIcon(String icon)
    {
        this.icon = icon;
    }

    public String getIcon()
    {
        return icon;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("majorId", getMajorId())
            .append("parentId", getParentId())
            .append("level", getLevel())
            .append("majorName", getMajorName())
            .append("majorInterpret", getMajorInterpret())
            .append("obtainEmployment", getObtainEmployment())
            .append("isShow", getIsShow())
            .append("icon", getIcon())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
